BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Application.Repositories.MinIOExamService Class Reference

## Public Member Functions
| MinIOExamService (IApplicationDBExamContext dbContext, IConfiguration configuration, IWebHostEnvironment hostingEnvironment)
async Task< Document > | UploadFileAsync (IFormFile file, string newFileName="")
async Task< FileDownloadResponse > | DownloadFileAsync (Guid fileId)
async Task | DeleteFileAsync (Guid fileId)
async Task< string > | ImagesPath (Guid? fileId)
async Task< string > | ImagesPathByName (string fileName)
List< Guid > | GetAllIdByRoot (Guid? id)
async Task< string?> | CheckBmaOfficer (string CitizenId)
async Task | UploadFileAsyncTemp (string fileName, string subFolder)
async Task | GenerateJsonFile (string json, string path, string fileName)

## Constructor & Destructor Documentation

## ◆ MinIOExamService()

BMA.EHR.Application.Repositories.MinIOExamService.MinIOExamService | ( | IApplicationDBExamContext | dbContext,
|  | IConfiguration | configuration,
|  | IWebHostEnvironment | hostingEnvironment
| ) |  |
| inline

## Member Function Documentation

## ◆ CheckBmaOfficer()

async Task< string?> BMA.EHR.Application.Repositories.MinIOExamService.CheckBmaOfficer | ( | string | CitizenId | ) |
| inline

## ◆ DeleteFileAsync()

async Task BMA.EHR.Application.Repositories.MinIOExamService.DeleteFileAsync | ( | Guid | fileId | ) |
| inline

## ◆ DownloadFileAsync()

async Task< FileDownloadResponse > BMA.EHR.Application.Repositories.MinIOExamService.DownloadFileAsync | ( | Guid | fileId | ) |
| inline

## ◆ GenerateJsonFile()

async Task BMA.EHR.Application.Repositories.MinIOExamService.GenerateJsonFile | ( | string | json,
|  | string | path,
|  | string | fileName
| ) |  |
| inline

## ◆ GetAllIdByRoot()

List< Guid > BMA.EHR.Application.Repositories.MinIOExamService.GetAllIdByRoot | ( | Guid? | id | ) |
| inline

## ◆ ImagesPath()

async Task< string > BMA.EHR.Application.Repositories.MinIOExamService.ImagesPath | ( | Guid? | fileId | ) |
| inline

## ◆ ImagesPathByName()

async Task< string > BMA.EHR.Application.Repositories.MinIOExamService.ImagesPathByName | ( | string | fileName | ) |
| inline

## ◆ UploadFileAsync()

async Task< Document > BMA.EHR.Application.Repositories.MinIOExamService.UploadFileAsync | ( | IFormFile | file,
|  | string | newFileName = `""`
| ) |  |
| inline

## ◆ UploadFileAsyncTemp()

async Task BMA.EHR.Application.Repositories.MinIOExamService.UploadFileAsyncTemp | ( | string | fileName,
|  | string | subFolder
| ) |  |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/MinIOExamService.cs